summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDaniel Ahlberg <aliz@gentoo.org>2003-01-09 09:46:57 +0000
committerDaniel Ahlberg <aliz@gentoo.org>2003-01-09 09:46:57 +0000
commit2bdfddc94aacccfa805ea231abec1060f6f9111c (patch)
tree330c373bc3787cdff839eb4fdc7d79b9c2a2276b /sys-apps/iptables
parentAdded sparc keyword. (diff)
downloadhistorical-2bdfddc94aacccfa805ea231abec1060f6f9111c.tar.gz
historical-2bdfddc94aacccfa805ea231abec1060f6f9111c.tar.bz2
historical-2bdfddc94aacccfa805ea231abec1060f6f9111c.zip
Closes #7752
Diffstat (limited to 'sys-apps/iptables')
-rw-r--r--sys-apps/iptables/ChangeLog5
-rw-r--r--sys-apps/iptables/files/iptables.init13
2 files changed, 15 insertions, 3 deletions
diff --git a/sys-apps/iptables/ChangeLog b/sys-apps/iptables/ChangeLog
index 771c77a46e05..556fa475ee8e 100644
--- a/sys-apps/iptables/ChangeLog
+++ b/sys-apps/iptables/ChangeLog
@@ -1,6 +1,9 @@
# ChangeLog for sys-apps/iptables
# Copyright 2002 Gentoo Technologies, Inc.; Distributed under the GPL
-# $Header: /var/cvsroot/gentoo-x86/sys-apps/iptables/ChangeLog,v 1.19 2003/01/08 12:39:41 aliz Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-apps/iptables/ChangeLog,v 1.20 2003/01/09 09:46:57 aliz Exp $
+
+ 09 Jan 2003; Daniel Ahlberg <aliz@gentoo.org> files/iptables.init :
+ Readded save() function, closes #7752.
08 Jan 2003; Daniel Ahlberg <aliz@gentoo.org> files/iptables.init :
Forgot to remove save() function from initscript.
diff --git a/sys-apps/iptables/files/iptables.init b/sys-apps/iptables/files/iptables.init
index 31dc95d2085c..9a1ffb0e6d8b 100644
--- a/sys-apps/iptables/files/iptables.init
+++ b/sys-apps/iptables/files/iptables.init
@@ -2,7 +2,9 @@
# Copyright 1999-2002 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or
# later
-# $Header: /var/cvsroot/gentoo-x86/sys-apps/iptables/files/iptables.init,v 1.5 2003/01/08 12:39:41 aliz Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-apps/iptables/files/iptables.init,v 1.6 2003/01/09 09:46:57 aliz Exp $
+
+opts="start stop save"
depend() {
need logger net
@@ -14,7 +16,7 @@ start() {
if [ ! -f ${IPTABLES_SAVE} ]
then
einfo "Not starting iptables. First create some rules then run"
- einfo "iptables-save > ${IPTABLES_SAVE}"
+ einfo "/etc/init.d/iptables save"
else
einfo "Restoring iptables ruleset"
/sbin/iptables-restore ${SAVE_RESTORE_OPTIONS} < ${IPTABLES_SAVE}
@@ -69,3 +71,10 @@ stop() {
done
eend $?
}
+
+save() {
+ ebegin "Saving iptables state"
+ /sbin/iptables-save ${SAVE_RESTORE_OPTIONS} > ${IPTABLES_SAVE}
+ eend $?
+}
+